VULKAN_HPP_NAMESPACE::FlagTraits< DeviceGroupPresentModeFlagBitsKHR > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(DeviceGroupPresentModeFlagBitsKHR::eLocal) | VkFlags(DeviceGroupPresentModeFlagBitsKHR::eRemote) | VkFlags(DeviceGroupPresentModeFlagBitsKHR::eSum) | VkFlags(DeviceGroupPresentModeFlagBitsKHR::eLocalMultiDevice) }

## Detailed Description

Definition at line 34076 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 34078 of file vulkan.hpp.

{
allFlags = VkFlags(DeviceGroupPresentModeFlagBitsKHR::eLocal) | VkFlags(DeviceGroupPresentModeFlagBitsKHR::eRemote) | VkFlags(DeviceGroupPresentModeFlagBitsKHR::eSum) | VkFlags(DeviceGroupPresentModeFlagBitsKHR::eLocalMultiDevice)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::FlagTraits< DeviceGroupPresentModeFlagBitsKHR >::allFlags
@ allFlags
Definition: vulkan.hpp:34080
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::DeviceGroupPresentModeFlagBitsKHR::eRemote
@ eRemote
VULKAN_HPP_NAMESPACE::DeviceGroupPresentModeFlagBitsKHR::eLocal
@ eLocal
VULKAN_HPP_NAMESPACE::DeviceGroupPresentModeFlagBitsKHR::eLocalMultiDevice
@ eLocalMultiDevice
VULKAN_HPP_NAMESPACE::DeviceGroupPresentModeFlagBitsKHR::eSum
@ eSum